vos move                   AFS Commands                vos move


NAME

   vos move -- move volume to specified other site.


   vos move  -id <volume name or ID>
   -fromserver <machine name on source>
   -frompartition <partition name on source>
   -toserver <machine name on destination>
   -topartition <partition name on destination>
   [-cell <cell name>]  [-noauth]  [-verbose]  [-localauth]
   [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   vos m  -i <volume name or ID>  -froms <machine name on
   source>
   -fromp <partition name on source>  -tos <machine name on
   destination>
   -top <partition name on destination>  [-c <cell name>]  [-n]
   [-l]  [-v]  [-h]

DESCRIPTION

   Moves  the  indicated ReadWrite volume from its current site
   (specified  with  -fromserver  and  -frompartition)  to  the
   destination    site    (specified    with    -toserver   and
   -topartition).

   This command automatically removes the Backup copy from  the
   current  site,  if it exists.  To create a new Backup at the
   destination site, use vos backup.

   It is not possible actually to move  a  ReadOnly  or  Backup
   volume.    For ReadOnly volumes, the corresponding action is
   to  create  a  new  ReadOnly  site  (with  vos addsite   and
   vos release)   and   then   remove  an  existing  one  (with
   vos remove).  The only way to move a  Backup  volume  is  to
   move its ReadWrite source and then issue vos backup.

WARNING

   No more that 3500 volumes should reside on one partition.  A
   greater  number  can  cause  the  AFS  Salvager  process  to
   malfunction.    It  is  the issuer's responsibility to check
   that issuing this command will not cause  the  limit  to  be
   exceeded.    The  vos listvol  command reports the number of
   volumes on a partition.

ARGUMENTS

   -id             specifies  either  the  complete   name   or
                   volumeID number of a ReadWrite volume.

   -fromserver     names  the  file  server  machine  where the
                   volume currently resides.  Abbreviated forms
                   of machine names may be allowed depending on
                   the naming service available at the time the
                   command  is  issued;  see  page  xii  in the
                   introductory  About  This  Manual   chapter.
                   -frompartition



                   names  the  partition   where   the   volume
                   currently  resides.  In addition to the full
                   /vicepx form  of  a  partition  name,  three
                   shorter  forms  are acceptable; see page xii
                   in  the  introductory  About   This   Manual
                   chapter.

   -toserver       names  the  file server machine to which the
                   volume should move.   Abbreviated  forms  of
                   machine  names  may  be allowed depending on
                   the naming service available at the time the
                   command  is  issued;  see  page  xii  in the
                   introductory  About  This  Manual   chapter.
                   -topartition
                   names the  partition  to  which  the  volume
                   should  move.    In  addition  to  the  full
                   /vicepx form  of  a  partition  name,  three
                   shorter  forms  are acceptable; see page xii
                   in  the  introductory  About   This   Manual
                   chapter.

   -cell           specifies  the  cell  in  which  to  run the
                   command.  See section 8.3 in  the  Reference
                   Manual for more details.  -noauth
                   tells the Volume and Volume Location Servers
                   to  assign  the  identity  anonymous  to the
                   issuer.  See section 8.3  in  the  Reference
                   Manual for more details.  -localauth
                   constructs a server ticket using a key  from
                   /usr/afs/etc/KeyFile.    See  section 8.3 in
                   the  Reference  Manual  for  more   details.
                   -verbose
                   tells the Volume and Volume Location Servers
                   to  report  on  what  they are doing as they
                   execute the command.  See section 8.3 in the
                   Reference Manual for more details.  -help
                   prints the online help for this command.  Do
                   not  provide  any  other  arguments or flags
                   with this one.    See  section  8.3  in  the
                   Reference Manual for more details.

EXAMPLE

   The  following  moves  the volume user.smith from /vicepb on
   fs3.transarc.com to /vicepg on fs7.transarc.com.

   % vos move user.smith fs3.transarc.com b fs7.transarc.com g

PRIVILEGE REQUIRED

   Issuer must  be  listed  in  /usr/afs/etc/UserList  on  both
   -fromserver and -toserver.

MORE INFORMATION

   vos addsite    vos listvol    vos remove

   vos backup     vos release
